import lodash from 'lodash'
import { interact } from '../../utils'
import apis from '../../config/api'

export default {
  namespaced: true,
  state: {
    carRecord: {}
  },
  mutations: {
    carRecord(state, payload) {
      state.carRecord = payload || {}
    }
  },
  actions: {
    getCartRecord({ commit }, payload) { // 查询所有
      const api = lodash.get(apis, 'cart.list')
      interact(api, payload).then((data) => {
        commit('carRecord', data)
      })
    }
  }
}